diff --git a/deskutils/libkdepim/pkg-plist b/deskutils/libkdepim/pkg-plist
index 019d81b61f6b..67b7a20f26d6 100644
--- a/deskutils/libkdepim/pkg-plist
+++ b/deskutils/libkdepim/pkg-plist
@@ -1,117 +1,111 @@
-include/KPim5/Libkdepim/Libkdepim/KCheckComboBox
-include/KPim5/Libkdepim/Libkdepim/KWidgetLister
-include/KPim5/Libkdepim/Libkdepim/LineEditCatchReturnKey
-include/KPim5/Libkdepim/Libkdepim/MultiplyingLine
-include/KPim5/Libkdepim/Libkdepim/MultiplyingLineEditor
-include/KPim5/Libkdepim/Libkdepim/ProgressDialog
-include/KPim5/Libkdepim/Libkdepim/ProgressIndicatorLabel
-include/KPim5/Libkdepim/Libkdepim/ProgressManager
-include/KPim5/Libkdepim/Libkdepim/ProgressStatusBarWidget
-include/KPim5/Libkdepim/Libkdepim/StatusbarProgressWidget
-include/KPim5/Libkdepim/libkdepim/kcheckcombobox.h
-include/KPim5/Libkdepim/libkdepim/kdepim_export.h
-include/KPim5/Libkdepim/libkdepim/kwidgetlister.h
-include/KPim5/Libkdepim/libkdepim/lineeditcatchreturnkey.h
-include/KPim5/Libkdepim/libkdepim/multiplyingline.h
-include/KPim5/Libkdepim/libkdepim/multiplyinglineeditor.h
-include/KPim5/Libkdepim/libkdepim/progressdialog.h
-include/KPim5/Libkdepim/libkdepim/progressindicatorlabel.h
-include/KPim5/Libkdepim/libkdepim/progressmanager.h
-include/KPim5/Libkdepim/libkdepim/progressstatusbarwidget.h
-include/KPim5/Libkdepim/libkdepim/statusbarprogresswidget.h
-include/KPim5/Libkdepim/libkdepim_version.h
-lib/cmake/KF5Libkdepim/KF5LibkdepimConfig.cmake
-lib/cmake/KF5Libkdepim/KF5LibkdepimConfigVersion.cmake
-lib/cmake/KF5Libkdepim/KPim5LibkdepimTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5Libkdepim/KPim5LibkdepimTargets.cmake
-lib/cmake/KPim5Libkdepim/KPim5LibkdepimConfig.cmake
-lib/cmake/KPim5Libkdepim/KPim5LibkdepimConfigVersion.cmake
-lib/cmake/KPim5Libkdepim/KPim5LibkdepimTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Libkdepim/KPim5LibkdepimTargets.cmake
-lib/cmake/KPim5MailTransportDBusService/KPim5MailTransportDBusServiceConfig.cmake
-lib/cmake/MailTransportDBusService/MailTransportDBusServiceConfig.cmake
-lib/libKPim5Libkdepim.so
-lib/libKPim5Libkdepim.so.5
-lib/libKPim5Libkdepim.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_Libkdepim.pri
-%%QT_PLUGINDIR%%/designer/kdepim5widgets.so
+include/KPim6/Libkdepim/Libkdepim/KCheckComboBox
+include/KPim6/Libkdepim/Libkdepim/KWidgetLister
+include/KPim6/Libkdepim/Libkdepim/MultiplyingLine
+include/KPim6/Libkdepim/Libkdepim/MultiplyingLineEditor
+include/KPim6/Libkdepim/Libkdepim/ProgressDialog
+include/KPim6/Libkdepim/Libkdepim/ProgressIndicatorLabel
+include/KPim6/Libkdepim/Libkdepim/ProgressManager
+include/KPim6/Libkdepim/Libkdepim/ProgressStatusBarWidget
+include/KPim6/Libkdepim/Libkdepim/StatusbarProgressWidget
+include/KPim6/Libkdepim/libkdepim/kcheckcombobox.h
+include/KPim6/Libkdepim/libkdepim/kdepim_export.h
+include/KPim6/Libkdepim/libkdepim/kwidgetlister.h
+include/KPim6/Libkdepim/libkdepim/multiplyingline.h
+include/KPim6/Libkdepim/libkdepim/multiplyinglineeditor.h
+include/KPim6/Libkdepim/libkdepim/progressdialog.h
+include/KPim6/Libkdepim/libkdepim/progressindicatorlabel.h
+include/KPim6/Libkdepim/libkdepim/progressmanager.h
+include/KPim6/Libkdepim/libkdepim/progressstatusbarwidget.h
+include/KPim6/Libkdepim/libkdepim/statusbarprogresswidget.h
+include/KPim6/Libkdepim/libkdepim_version.h
+lib/cmake/KPim6Libkdepim/KPim6LibkdepimConfig.cmake
+lib/cmake/KPim6Libkdepim/KPim6LibkdepimConfigVersion.cmake
+lib/cmake/KPim6Libkdepim/KPim6LibkdepimTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Libkdepim/KPim6LibkdepimTargets.cmake
+lib/cmake/KPim6MailTransportDBusService/KPim6MailTransportDBusServiceConfig.cmake
+lib/libKPim6Libkdepim.so
+lib/libKPim6Libkdepim.so.6
+lib/libKPim6Libkdepim.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/designer/kdepim6widgets.so
 share/dbus-1/interfaces/org.kde.addressbook.service.xml
 share/dbus-1/interfaces/org.kde.mailtransport.service.xml
-share/locale/af/LC_MESSAGES/libkdepim.mo
-share/locale/ar/LC_MESSAGES/libkdepim.mo
-share/locale/be/LC_MESSAGES/libkdepim.mo
-share/locale/bg/LC_MESSAGES/libkdepim.mo
-share/locale/br/LC_MESSAGES/libkdepim.mo
-share/locale/bs/LC_MESSAGES/libkdepim.mo
-share/locale/ca/LC_MESSAGES/libkdepim.mo
-share/locale/ca@valencia/LC_MESSAGES/libkdepim.mo
-share/locale/cs/LC_MESSAGES/libkdepim.mo
-share/locale/cy/LC_MESSAGES/libkdepim.mo
-share/locale/da/LC_MESSAGES/libkdepim.mo
-share/locale/de/LC_MESSAGES/libkdepim.mo
-share/locale/el/LC_MESSAGES/libkdepim.mo
-share/locale/en_GB/LC_MESSAGES/libkdepim.mo
-share/locale/eo/LC_MESSAGES/libkdepim.mo
-share/locale/es/LC_MESSAGES/libkdepim.mo
-share/locale/et/LC_MESSAGES/libkdepim.mo
-share/locale/eu/LC_MESSAGES/libkdepim.mo
-share/locale/fa/LC_MESSAGES/libkdepim.mo
-share/locale/fi/LC_MESSAGES/libkdepim.mo
-share/locale/fr/LC_MESSAGES/libkdepim.mo
-share/locale/fy/LC_MESSAGES/libkdepim.mo
-share/locale/ga/LC_MESSAGES/libkdepim.mo
-share/locale/gl/LC_MESSAGES/libkdepim.mo
-share/locale/he/LC_MESSAGES/libkdepim.mo
-share/locale/hi/LC_MESSAGES/libkdepim.mo
-share/locale/hne/LC_MESSAGES/libkdepim.mo
-share/locale/hr/LC_MESSAGES/libkdepim.mo
-share/locale/hsb/LC_MESSAGES/libkdepim.mo
-share/locale/hu/LC_MESSAGES/libkdepim.mo
-share/locale/ia/LC_MESSAGES/libkdepim.mo
-share/locale/is/LC_MESSAGES/libkdepim.mo
-share/locale/it/LC_MESSAGES/libkdepim.mo
-share/locale/ja/LC_MESSAGES/libkdepim.mo
-share/locale/ka/LC_MESSAGES/libkdepim.mo
-share/locale/kk/LC_MESSAGES/libkdepim.mo
-share/locale/km/LC_MESSAGES/libkdepim.mo
-share/locale/ko/LC_MESSAGES/libkdepim.mo
-share/locale/lt/LC_MESSAGES/libkdepim.mo
-share/locale/lv/LC_MESSAGES/libkdepim.mo
-share/locale/mai/LC_MESSAGES/libkdepim.mo
-share/locale/mk/LC_MESSAGES/libkdepim.mo
-share/locale/mr/LC_MESSAGES/libkdepim.mo
-share/locale/ms/LC_MESSAGES/libkdepim.mo
-share/locale/nb/LC_MESSAGES/libkdepim.mo
-share/locale/nds/LC_MESSAGES/libkdepim.mo
-share/locale/ne/LC_MESSAGES/libkdepim.mo
-share/locale/nl/LC_MESSAGES/libkdepim.mo
-share/locale/nn/LC_MESSAGES/libkdepim.mo
-share/locale/pa/LC_MESSAGES/libkdepim.mo
-share/locale/pl/LC_MESSAGES/libkdepim.mo
-share/locale/pt/LC_MESSAGES/libkdepim.mo
-share/locale/pt_BR/LC_MESSAGES/libkdepim.mo
-share/locale/ro/LC_MESSAGES/libkdepim.mo
-share/locale/ru/LC_MESSAGES/libkdepim.mo
-share/locale/se/LC_MESSAGES/libkdepim.mo
-share/locale/sk/LC_MESSAGES/libkdepim.mo
-share/locale/sl/LC_MESSAGES/libkdepim.mo
-share/locale/sq/LC_MESSAGES/libkdepim.mo
-share/locale/sr/LC_MESSAGES/libkdepim.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkdepim.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkdepim.mo
-share/locale/sr@latin/LC_MESSAGES/libkdepim.mo
-share/locale/sv/LC_MESSAGES/libkdepim.mo
-share/locale/ta/LC_MESSAGES/libkdepim.mo
-share/locale/tg/LC_MESSAGES/libkdepim.mo
-share/locale/th/LC_MESSAGES/libkdepim.mo
-share/locale/tr/LC_MESSAGES/libkdepim.mo
-share/locale/ug/LC_MESSAGES/libkdepim.mo
-share/locale/uk/LC_MESSAGES/libkdepim.mo
-share/locale/uz/LC_MESSAGES/libkdepim.mo
-share/locale/uz@cyrillic/LC_MESSAGES/libkdepim.mo
-share/locale/wa/LC_MESSAGES/libkdepim.mo
-share/locale/xh/LC_MESSAGES/libkdepim.mo
-share/locale/zh_CN/LC_MESSAGES/libkdepim.mo
-share/locale/zh_TW/LC_MESSAGES/libkdepim.mo
-share/qlogging-categories5/libkdepim.categories
-share/qlogging-categories5/libkdepim.renamecategories
+share/locale/af/LC_MESSAGES/libkdepim6.mo
+share/locale/ar/LC_MESSAGES/libkdepim6.mo
+share/locale/ast/LC_MESSAGES/libkdepim6.mo
+share/locale/be/LC_MESSAGES/libkdepim6.mo
+share/locale/bg/LC_MESSAGES/libkdepim6.mo
+share/locale/br/LC_MESSAGES/libkdepim6.mo
+share/locale/bs/LC_MESSAGES/libkdepim6.mo
+share/locale/ca/LC_MESSAGES/libkdepim6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkdepim6.mo
+share/locale/cs/LC_MESSAGES/libkdepim6.mo
+share/locale/cy/LC_MESSAGES/libkdepim6.mo
+share/locale/da/LC_MESSAGES/libkdepim6.mo
+share/locale/de/LC_MESSAGES/libkdepim6.mo
+share/locale/el/LC_MESSAGES/libkdepim6.mo
+share/locale/en_GB/LC_MESSAGES/libkdepim6.mo
+share/locale/eo/LC_MESSAGES/libkdepim6.mo
+share/locale/es/LC_MESSAGES/libkdepim6.mo
+share/locale/et/LC_MESSAGES/libkdepim6.mo
+share/locale/eu/LC_MESSAGES/libkdepim6.mo
+share/locale/fa/LC_MESSAGES/libkdepim6.mo
+share/locale/fi/LC_MESSAGES/libkdepim6.mo
+share/locale/fr/LC_MESSAGES/libkdepim6.mo
+share/locale/fy/LC_MESSAGES/libkdepim6.mo
+share/locale/ga/LC_MESSAGES/libkdepim6.mo
+share/locale/gl/LC_MESSAGES/libkdepim6.mo
+share/locale/he/LC_MESSAGES/libkdepim6.mo
+share/locale/hi/LC_MESSAGES/libkdepim6.mo
+share/locale/hne/LC_MESSAGES/libkdepim6.mo
+share/locale/hr/LC_MESSAGES/libkdepim6.mo
+share/locale/hsb/LC_MESSAGES/libkdepim6.mo
+share/locale/hu/LC_MESSAGES/libkdepim6.mo
+share/locale/ia/LC_MESSAGES/libkdepim6.mo
+share/locale/is/LC_MESSAGES/libkdepim6.mo
+share/locale/it/LC_MESSAGES/libkdepim6.mo
+share/locale/ja/LC_MESSAGES/libkdepim6.mo
+share/locale/ka/LC_MESSAGES/libkdepim6.mo
+share/locale/kk/LC_MESSAGES/libkdepim6.mo
+share/locale/km/LC_MESSAGES/libkdepim6.mo
+share/locale/ko/LC_MESSAGES/libkdepim6.mo
+share/locale/lt/LC_MESSAGES/libkdepim6.mo
+share/locale/lv/LC_MESSAGES/libkdepim6.mo
+share/locale/mai/LC_MESSAGES/libkdepim6.mo
+share/locale/mk/LC_MESSAGES/libkdepim6.mo
+share/locale/mr/LC_MESSAGES/libkdepim6.mo
+share/locale/ms/LC_MESSAGES/libkdepim6.mo
+share/locale/nb/LC_MESSAGES/libkdepim6.mo
+share/locale/nds/LC_MESSAGES/libkdepim6.mo
+share/locale/ne/LC_MESSAGES/libkdepim6.mo
+share/locale/nl/LC_MESSAGES/libkdepim6.mo
+share/locale/nn/LC_MESSAGES/libkdepim6.mo
+share/locale/pa/LC_MESSAGES/libkdepim6.mo
+share/locale/pl/LC_MESSAGES/libkdepim6.mo
+share/locale/pt/LC_MESSAGES/libkdepim6.mo
+share/locale/pt_BR/LC_MESSAGES/libkdepim6.mo
+share/locale/ro/LC_MESSAGES/libkdepim6.mo
+share/locale/ru/LC_MESSAGES/libkdepim6.mo
+share/locale/sa/LC_MESSAGES/libkdepim6.mo
+share/locale/se/LC_MESSAGES/libkdepim6.mo
+share/locale/sk/LC_MESSAGES/libkdepim6.mo
+share/locale/sl/LC_MESSAGES/libkdepim6.mo
+share/locale/sq/LC_MESSAGES/libkdepim6.mo
+share/locale/sr/LC_MESSAGES/libkdepim6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkdepim6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkdepim6.mo
+share/locale/sr@latin/LC_MESSAGES/libkdepim6.mo
+share/locale/sv/LC_MESSAGES/libkdepim6.mo
+share/locale/ta/LC_MESSAGES/libkdepim6.mo
+share/locale/tg/LC_MESSAGES/libkdepim6.mo
+share/locale/th/LC_MESSAGES/libkdepim6.mo
+share/locale/tr/LC_MESSAGES/libkdepim6.mo
+share/locale/ug/LC_MESSAGES/libkdepim6.mo
+share/locale/uk/LC_MESSAGES/libkdepim6.mo
+share/locale/uz/LC_MESSAGES/libkdepim6.mo
+share/locale/uz@cyrillic/LC_MESSAGES/libkdepim6.mo
+share/locale/wa/LC_MESSAGES/libkdepim6.mo
+share/locale/xh/LC_MESSAGES/libkdepim6.mo
+share/locale/zh_CN/LC_MESSAGES/libkdepim6.mo
+share/locale/zh_TW/LC_MESSAGES/libkdepim6.mo
+share/qlogging-categories6/libkdepim.categories
+share/qlogging-categories6/libkdepim.renamecategories
diff --git a/deskutils/mbox-importer/Makefile b/deskutils/mbox-importer/Makefile
index c24c8cf9917c..4de17c47171b 100644
--- a/deskutils/mbox-importer/Makefile
+++ b/deskutils/mbox-importer/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	mbox-importer
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,18 +10,18 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:6 qt:6 \
+		tar:xz
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
 		crash i18n itemmodels kio service widgetsaddons \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadicontacts akonadimime contacts \
-		grantleetheme identitymanagement imap libkdepim libkleo mailcommon \
+USE_KDE+=	akonadi akonadicontacts akonadimime contacts grantleetheme \
+		identitymanagement imap libkdepim libkleo mailcommon \
 		mailimporter messagelib mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/mbox-importer/distinfo b/deskutils/mbox-importer/distinfo
index d3ce4daf0c8c..588a48008184 100644
--- a/deskutils/mbox-importer/distinfo
+++ b/deskutils/mbox-importer/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889447
-SHA256 (KDE/release-service/23.08.5/mbox-importer-23.08.5.tar.xz) = 5fda29665fdaaf2bb704859f21cfa018a441243ec78ab6cc0c48e3717e3420ab
-SIZE (KDE/release-service/23.08.5/mbox-importer-23.08.5.tar.xz) = 30112
+TIMESTAMP = 1734460069
+SHA256 (KDE/release-service/24.12.0/mbox-importer-24.12.0.tar.xz) = eceea4ae75a94ac758486a7a39dfc09c4d63a3a8df8e0379fdc4f1b8fe8b2773
+SIZE (KDE/release-service/24.12.0/mbox-importer-24.12.0.tar.xz) = 31936
diff --git a/deskutils/mbox-importer/pkg-plist b/deskutils/mbox-importer/pkg-plist
index ab4d2640ab41..5b1f1a231b6a 100644
--- a/deskutils/mbox-importer/pkg-plist
+++ b/deskutils/mbox-importer/pkg-plist
@@ -1,6 +1,7 @@
 bin/mboximporter
 share/applications/org.kde.mboximporter.desktop
 share/locale/ar/LC_MESSAGES/mboximporter.mo
+share/locale/ast/LC_MESSAGES/mboximporter.mo
 share/locale/bg/LC_MESSAGES/mboximporter.mo
 share/locale/bs/LC_MESSAGES/mboximporter.mo
 share/locale/ca/LC_MESSAGES/mboximporter.mo
@@ -10,12 +11,14 @@ share/locale/da/LC_MESSAGES/mboximporter.mo
 share/locale/de/LC_MESSAGES/mboximporter.mo
 share/locale/el/LC_MESSAGES/mboximporter.mo
 share/locale/en_GB/LC_MESSAGES/mboximporter.mo
+share/locale/eo/LC_MESSAGES/mboximporter.mo
 share/locale/es/LC_MESSAGES/mboximporter.mo
 share/locale/et/LC_MESSAGES/mboximporter.mo
 share/locale/eu/LC_MESSAGES/mboximporter.mo
 share/locale/fi/LC_MESSAGES/mboximporter.mo
 share/locale/fr/LC_MESSAGES/mboximporter.mo
 share/locale/gl/LC_MESSAGES/mboximporter.mo
+share/locale/he/LC_MESSAGES/mboximporter.mo
 share/locale/hi/LC_MESSAGES/mboximporter.mo
 share/locale/hu/LC_MESSAGES/mboximporter.mo
 share/locale/ia/LC_MESSAGES/mboximporter.mo
@@ -25,6 +28,7 @@ share/locale/ka/LC_MESSAGES/mboximporter.mo
 share/locale/kk/LC_MESSAGES/mboximporter.mo
 share/locale/ko/LC_MESSAGES/mboximporter.mo
 share/locale/lt/LC_MESSAGES/mboximporter.mo
+share/locale/lv/LC_MESSAGES/mboximporter.mo
 share/locale/nb/LC_MESSAGES/mboximporter.mo
 share/locale/nds/LC_MESSAGES/mboximporter.mo
 share/locale/nl/LC_MESSAGES/mboximporter.mo
@@ -34,6 +38,7 @@ share/locale/pt/LC_MESSAGES/mboximporter.mo
 share/locale/pt_BR/LC_MESSAGES/mboximporter.mo
 share/locale/ro/LC_MESSAGES/mboximporter.mo
 share/locale/ru/LC_MESSAGES/mboximporter.mo
+share/locale/sa/LC_MESSAGES/mboximporter.mo
 share/locale/sk/LC_MESSAGES/mboximporter.mo
 share/locale/sl/LC_MESSAGES/mboximporter.mo
 share/locale/sr/LC_MESSAGES/mboximporter.mo
diff --git a/deskutils/merkuro/Makefile b/deskutils/merkuro/Makefile
index 997e886e001f..bc69364eeb92 100644
--- a/deskutils/merkuro/Makefile
+++ b/deskutils/merkuro/Makefile
@@ -9,21 +9,15 @@ WWW=		https://invent.kde.org/pim/kalendar
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/LICENSES/GPL-3.0-only.txt
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-RUN_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-
-USES=		cmake compiler:c++17-lang desktop-file-utils grantlee:5 kde:5 \
-		qt:5 tar:xz xorg
-USE_QT=		concurrent core dbus declarative gui location multimedia \
-		network printsupport quickcontrols2 svg widgets xml \
-		buildtools:build declarative-test:build linguist:build \
-		qmake:build testlib:build
+USES=		cmake compiler:c++17-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	akonadi akonadicalendar akonadicontacts auth calendarcore \
 		calendarsupport calendarutils codecs config configwidgets \
 		contacts coreaddons dbusaddons eventviews grantleetheme i18n \
-		identitymanagement itemmodels kio kirigami2 mailcommon mime notifications \
-		people pimtextedit qqc2-desktop-style service sonnet \
-		textwidgets widgetsaddons windowsystem xmlgui \
+		identitymanagement itemmodels kio kirigami-addons kirigami2 \
+		mailcommon mime mimetreeparser notifications people \
+		pimtextedit qqc2-desktop-style service sonnet textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
 USE_XORG=	x11
 
diff --git a/deskutils/merkuro/distinfo b/deskutils/merkuro/distinfo
index 5949cba692ae..bb0e2e24dd9e 100644
--- a/deskutils/merkuro/distinfo
+++ b/deskutils/merkuro/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889432
-SHA256 (KDE/release-service/23.08.5/merkuro-23.08.5.tar.xz) = 9a5d0ed11985e0fbfdd58d538b8d0fa1c7fd34a5679baa427092ac0439874297
-SIZE (KDE/release-service/23.08.5/merkuro-23.08.5.tar.xz) = 981888
+TIMESTAMP = 1734460071
+SHA256 (KDE/release-service/24.12.0/merkuro-24.12.0.tar.xz) = 335540c4ec47441f7f09df224d3dd4aff5758c377e41c208fca31fdefcf20eab
+SIZE (KDE/release-service/24.12.0/merkuro-24.12.0.tar.xz) = 792316
diff --git a/deskutils/merkuro/pkg-plist b/deskutils/merkuro/pkg-plist
index 6d3e4ac23f13..174e2f9c73f4 100644
--- a/deskutils/merkuro/pkg-plist
+++ b/deskutils/merkuro/pkg-plist
@@ -1,45 +1,59 @@
 bin/merkuro-calendar
 bin/merkuro-contact
 bin/merkuro-mail
+lib/libMerkuroComponents.so
+lib/libMerkuroComponents.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libMerkuroComponents.so.6
+lib/libmerkuro_contact.so
+lib/libmerkuro_contact.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libmerkuro_contact.so.6
 %%QT_QMLDIR%%/org/kde/akonadi/AgentConfigurationForm.qml
 %%QT_QMLDIR%%/org/kde/akonadi/CollectionComboBox.qml
-%%QT_QMLDIR%%/org/kde/akonadi/IdentityConfigurationForm.qml
 %%QT_QMLDIR%%/org/kde/akonadi/MobileCollectionComboBox.qml
+%%QT_QMLDIR%%/org/kde/akonadi/ProgressStatusBar.qml
 %%QT_QMLDIR%%/org/kde/akonadi/TagManagerPage.qml
+%%QT_QMLDIR%%/org/kde/akonadi/akonadi_quick_plugin.qmltypes
+%%QT_QMLDIR%%/org/kde/akonadi/kde-qmlmodule.version
 %%QT_QMLDIR%%/org/kde/akonadi/libakonadi_quick_plugin.so
 %%QT_QMLDIR%%/org/kde/akonadi/qmldir
 %%QT_QMLDIR%%/org/kde/merkuro/calendar/BottomToolBar.qml
+%%QT_QMLDIR%%/org/kde/merkuro/calendar/DatePopupSingleton.qml
+%%QT_QMLDIR%%/org/kde/merkuro/calendar/MenuBar.qml
 %%QT_QMLDIR%%/org/kde/merkuro/calendar/PriorityComboBox.qml
 %%QT_QMLDIR%%/org/kde/merkuro/calendar/ReminderDelegate.qml
+%%QT_QMLDIR%%/org/kde/merkuro/calendar/kde-qmlmodule.version
 %%QT_QMLDIR%%/org/kde/merkuro/calendar/libmerkuro_calendar_plugin.so
+%%QT_QMLDIR%%/org/kde/merkuro/calendar/merkuro_calendar_plugin.qmltypes
 %%QT_QMLDIR%%/org/kde/merkuro/calendar/qmldir
 %%QT_QMLDIR%%/org/kde/merkuro/components/BaseApplication.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/ColoredCheckbox.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/EditMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/FileMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/HelpMenu.qml
-%%QT_QMLDIR%%/org/kde/merkuro/components/KActionFromAction.qml
-%%QT_QMLDIR%%/org/kde/merkuro/components/KQuickCommandBarPage.qml
+%%QT_QMLDIR%%/org/kde/merkuro/components/MerkuroComponents.qmltypes
 %%QT_QMLDIR%%/org/kde/merkuro/components/NativeEditMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/NativeFileMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/NativeHelpMenu.qml
-%%QT_QMLDIR%%/org/kde/merkuro/components/NativeMenuItemFromAction.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/NativeWindowMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/SettingsMenu.qml
-%%QT_QMLDIR%%/org/kde/merkuro/components/ViewMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/components/WindowMenu.qml
-%%QT_QMLDIR%%/org/kde/merkuro/components/libmerkuro_components_plugin.so
+%%QT_QMLDIR%%/org/kde/merkuro/components/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/merkuro/components/libMerkuroComponentsplugin.so
 %%QT_QMLDIR%%/org/kde/merkuro/components/qmldir
 %%QT_QMLDIR%%/org/kde/merkuro/contact/AddressBookCollectionHandler.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/ContactChooserPage.qml
+%%QT_QMLDIR%%/org/kde/merkuro/contact/ContactListItem.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/ContactView.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/GlobalMenuBar.qml
+%%QT_QMLDIR%%/org/kde/merkuro/contact/Main.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/MenuBar.qml
+%%QT_QMLDIR%%/org/kde/merkuro/contact/Settings.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/Sidebar.qml
+%%QT_QMLDIR%%/org/kde/merkuro/contact/kde-qmlmodule.version
 %%QT_QMLDIR%%/org/kde/merkuro/contact/libmerkuro_contact_plugin.so
+%%QT_QMLDIR%%/org/kde/merkuro/contact/merkuro_contact_plugin.qmltypes
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/AddressBookMenu.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/ContactGroupPage.qml
-%%QT_QMLDIR%%/org/kde/merkuro/contact/private/ContactListItem.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/ContactPage.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/ContactsPage.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/DeleteContactAction.qml
@@ -56,69 +70,89 @@ bin/merkuro-mail
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/contact_editor/PhoneEditorCard.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/private/contact_editor/PhotoEditor.qml
 %%QT_QMLDIR%%/org/kde/merkuro/contact/qmldir
-%%QT_QMLDIR%%/org/kde/merkuro/mail/ConversationViewer.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/FolderView.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/MailComposer.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/MailSidebar.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/MailViewer.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/libmerkuro_mail_plugin.so
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailboxselector/MailBoxList.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailboxselector/MailBoxListPage.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailpartview/HtmlPart.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailpartview/ICalPart.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailpartview/MailPart.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailpartview/MailPartModel.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailpartview/MailPartView.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/mailpartview/TextPart.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/private/AttachmentDelegate.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/private/MailDelegate.qml
-%%QT_QMLDIR%%/org/kde/merkuro/mail/qmldir
+%%QT_QMLDIR%%/org/kde/merkuro/contact/resources/fallbackBackground.png
 share/applications/org.kde.merkuro.calendar.desktop
 share/applications/org.kde.merkuro.contact.desktop
+share/applications/org.kde.merkuro.desktop
 share/applications/org.kde.merkuro.mail.desktop
 share/icons/hicolor/128x128/apps/org.kde.merkuro.calendar.png
 share/icons/hicolor/128x128/apps/org.kde.merkuro.contact.png
 share/icons/hicolor/128x128/apps/org.kde.merkuro.mail.png
+share/icons/hicolor/16x16/apps/org.kde.merkuro.calendar.png
+share/icons/hicolor/16x16/apps/org.kde.merkuro.mail.png
+share/icons/hicolor/24x24/apps/org.kde.merkuro.calendar.png
+share/icons/hicolor/24x24/apps/org.kde.merkuro.mail.png
 share/icons/hicolor/256x256/apps/org.kde.merkuro.calendar.png
 share/icons/hicolor/256x256/apps/org.kde.merkuro.contact.png
 share/icons/hicolor/256x256/apps/org.kde.merkuro.mail.png
+share/icons/hicolor/32x32/apps/org.kde.merkuro.calendar.png
+share/icons/hicolor/32x32/apps/org.kde.merkuro.mail.png
 share/icons/hicolor/48x48/apps/org.kde.merkuro.calendar.png
 share/icons/hicolor/48x48/apps/org.kde.merkuro.contact.png
 share/icons/hicolor/48x48/apps/org.kde.merkuro.mail.png
+share/knotifications6/merkuro.mail.notifyrc
 share/locale/ar/LC_MESSAGES/merkuro.mo
+share/locale/ar/LC_MESSAGES/merkurolauncher.mo
 share/locale/ar/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/ast/LC_MESSAGES/merkuro.mo
+share/locale/ast/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/az/LC_MESSAGES/merkuro.mo
 share/locale/az/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/bg/LC_MESSAGES/merkuro.mo
+share/locale/bg/LC_MESSAGES/merkurolauncher.mo
+share/locale/bg/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ca/LC_MESSAGES/merkuro.mo
+share/locale/ca/LC_MESSAGES/merkurolauncher.mo
 share/locale/ca/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ca@valencia/LC_MESSAGES/merkuro.mo
+share/locale/ca@valencia/LC_MESSAGES/merkurolauncher.mo
 share/locale/ca@valencia/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/cs/LC_MESSAGES/merkuro.mo
 share/locale/cs/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/da/LC_MESSAGES/merkuro.mo
+share/locale/da/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/de/LC_MESSAGES/merkuro.mo
+share/locale/de/LC_MESSAGES/merkurolauncher.mo
 share/locale/de/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/el/LC_MESSAGES/merkuro.mo
 share/locale/en_GB/LC_MESSAGES/merkuro.mo
+share/locale/en_GB/LC_MESSAGES/merkurolauncher.mo
 share/locale/en_GB/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/eo/LC_MESSAGES/merkuro.mo
+share/locale/eo/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/es/LC_MESSAGES/merkuro.mo
+share/locale/es/LC_MESSAGES/merkurolauncher.mo
 share/locale/es/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/eu/LC_MESSAGES/merkuro.mo
+share/locale/eu/LC_MESSAGES/merkurolauncher.mo
 share/locale/eu/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/fi/LC_MESSAGES/merkuro.mo
+share/locale/fi/LC_MESSAGES/merkurolauncher.mo
 share/locale/fi/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/fr/LC_MESSAGES/merkuro.mo
+share/locale/fr/LC_MESSAGES/merkurolauncher.mo
 share/locale/fr/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/gl/LC_MESSAGES/merkuro.mo
+share/locale/gl/LC_MESSAGES/merkurolauncher.mo
 share/locale/gl/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/he/LC_MESSAGES/merkuro.mo
+share/locale/he/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
+share/locale/hi/LC_MESSAGES/merkuro.mo
+share/locale/hi/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/hu/LC_MESSAGES/merkuro.mo
+share/locale/hu/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ia/LC_MESSAGES/merkuro.mo
+share/locale/ia/LC_MESSAGES/merkurolauncher.mo
 share/locale/ia/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/id/LC_MESSAGES/merkuro.mo
 share/locale/id/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/it/LC_MESSAGES/merkuro.mo
+share/locale/it/LC_MESSAGES/merkurolauncher.mo
 share/locale/it/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ja/LC_MESSAGES/merkuro.mo
 share/locale/ja/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ka/LC_MESSAGES/merkuro.mo
+share/locale/ka/LC_MESSAGES/merkurolauncher.mo
 share/locale/ka/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ko/LC_MESSAGES/merkuro.mo
 share/locale/ko/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
@@ -126,40 +160,50 @@ share/locale/lt/LC_MESSAGES/merkuro.mo
 share/locale/lt/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/lv/LC_MESSAGES/merkuro.mo
 share/locale/nl/LC_MESSAGES/merkuro.mo
+share/locale/nl/LC_MESSAGES/merkurolauncher.mo
 share/locale/nl/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/nn/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/pl/LC_MESSAGES/merkuro.mo
+share/locale/pl/LC_MESSAGES/merkurolauncher.mo
 share/locale/pl/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/pt/LC_MESSAGES/merkuro.mo
 share/locale/pt/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/pt_BR/LC_MESSAGES/merkuro.mo
 share/locale/pt_BR/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ru/LC_MESSAGES/merkuro.mo
+share/locale/ru/LC_MESSAGES/merkurolauncher.mo
 share/locale/ru/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/sk/LC_MESSAGES/merkuro.mo
+share/locale/sk/LC_MESSAGES/merkurolauncher.mo
 share/locale/sk/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/sl/LC_MESSAGES/merkuro.mo
+share/locale/sl/LC_MESSAGES/merkurolauncher.mo
 share/locale/sl/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/sv/LC_MESSAGES/merkuro.mo
+share/locale/sv/LC_MESSAGES/merkurolauncher.mo
 share/locale/sv/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/ta/LC_MESSAGES/merkuro.mo
 share/locale/ta/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/tr/LC_MESSAGES/merkuro.mo
+share/locale/tr/LC_MESSAGES/merkurolauncher.mo
 share/locale/tr/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/uk/LC_MESSAGES/merkuro.mo
+share/locale/uk/LC_MESSAGES/merkurolauncher.mo
 share/locale/uk/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/zh_CN/LC_MESSAGES/merkuro.mo
+share/locale/zh_CN/LC_MESSAGES/merkurolauncher.mo
 share/locale/zh_CN/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/locale/zh_TW/LC_MESSAGES/merkuro.mo
+share/locale/zh_TW/LC_MESSAGES/merkurolauncher.mo
 share/locale/zh_TW/LC_MESSAGES/plasma_applet_org.kde.merkuro.contact.mo
 share/metainfo/org.kde.merkuro.calendar.metainfo.xml
 share/metainfo/org.kde.merkuro.contact.appdata.xml
 share/metainfo/org.kde.merkuro.contact.metainfo.xml
 share/metainfo/org.kde.merkuro.mail.metainfo.xml
+share/metainfo/org.kde.merkuro.metainfo.xml
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/config/main.xml
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/resources/fallbackBackground.png
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/CompactRepresentation.qml
-share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/ContactListItem.qml
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/ContactPage.qml
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/ContactsPage.qml
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/Header.qml
@@ -167,6 +211,6 @@ share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/QrCodePage.qml
 share/plasma/plasmoids/org.kde.merkuro.contact/contents/ui/main.qml
 share/plasma/plasmoids/org.kde.merkuro.contact/metadata.json
 share/plasma/plasmoids/org.kde.merkuro.contact/metadata.json.license
-share/qlogging-categories5/akonadi.quick.categories
-share/qlogging-categories5/merkuro.categories
-share/qlogging-categories5/merkuro.contact.categories
+share/qlogging-categories6/akonadi.quick.categories
+share/qlogging-categories6/merkuro.categories
+share/qlogging-categories6/merkuro.contact.categories
